/*
 *   Copyright (C) 2009-2011 Yury P. Fedorchenko
 *   yuryfdr@users.sf.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#include <FL/Fl_Widget.H>
#include <FL/Fl_PNG_Image.H>
#include "revboard.h"

class Fl_RevBoard : public Fl_Widget , public RevBoard{
  static const int csize=50;
  Fl_PNG_Image*  pixmaps;
public:
  Fl_RevBoard(int X,int Y) : Fl_Widget(X,Y,400,400){
    box(FL_FLAT_BOX);
    color(FL_BLUE);
    board.msg = gui_message;
    board.flip_animate = flip_animate;
    board.gui_status = gui_status;
    pixmaps=new Fl_PNG_Image(REV_DATADIR"/classic1.png");
    board.animate_stagger=0;
    _animate=true;
    copyboard(false);
    new_game();
    brd=this;
  }
  static Fl_RevBoard* brd;
  static int gui_message(const char*);
  static void flip_animate();
  static void animate(Fl_RevBoard*);
  static void gui_status();
  void draw();
  int handle(int e);
};

