/*
 *   Copyright (C) 2009-2010 Yury P. Fedorchenko
 *   yuryfdr@users.sf.net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor Boston, MA 02110-1301,  USA
 */
 
#include "inkview.h"
#include "revboard.h"

class pb_RevBoard : public RevBoard{
  int curs_x,curs_y;
  static const int bsize=8; //board size
  static const int csize=65;
  static const int xb=40,yb=40;
  int width,height;
public:
  ibitmap*  pixmaps;
  static int gui_message(const char*);
  pb_RevBoard() : width(65*8),height(65*8){
    board.msg = gui_message;
    board.flip_animate = flip_animate;
    board.gui_status = gui_status;
    new_game();
    brd=this;
  }
  void cursor_up();
  void cursor_down();
  void cursor_left();
  void cursor_right();
  void click();
  void click(int,int);
  
  static pb_RevBoard* brd;
  static void flip_animate();
  static void animate();
  static void gui_status();
  void draw_item(int i,int j);
  void draw();
  int x2i(int par);
  int y2j(int par);
  //int handle(int e);
};

